
function 补充药品()
lanyao=1-取背包中物品数量("超级魔法药")
hongyao=3-取背包中物品数量("超级金创药")
走到(360,335,2)
if 取背包空位()>lanyao then
购买NPC物品("药店老板","超级魔法药", lanyao)
else
系统显示("---补充蓝药失败,背包空位不足-----",255,16777215)
end
if 取背包空位()>lanyao then
购买NPC物品("药店老板","超级金创药", hongyao)
else
系统显示("---补充红药失败,背包空位不足-----",255,16777215)
end
end


function 装备回收()
开启穿人穿怪()
等待(5000)
走到(330,324,3)
关闭穿人穿怪()
对话NPC("装备回收")
等待(2000)
选择("@验证")
等待(1000)
选择("@正确")
等待(1000)
选择("@使祖玛首饰元宝回收")
等待(1000)
选择("@使祖玛武器元宝回收")
等待(1000)
end


function 回城()
等待(3000)
输出信息(当前地图编号)
if 当前地图编号=="3" then
if 相距(取整型变量信息("当前X"),取整型变量信息("当前Y"),333,333) then   
使用物品("盟重传送石")  
等待(5000)
else
走到(333,333,3)
end
else 
使用物品("盟重传送石")
等待(10000)
end
停止战斗()
end 



function 出发()
发言("@服务")
等待(1500)
选择("@传送14")
等待(1500)
系统显示("准备战斗",255,16777215)
系统显示("/ 开启成功",255,16777215)
end


系统显示("开开心心去挂机了",255,16777215) 
输出信息("挂机脚本执行到开头")
停止战斗()
回城()
装备回收()
补充药品()
出发()
开始战斗()
输出信息("挂机脚本执行到尾部")

